## org.pentaho.reporting.libraries.formula.operators
Class MinusSignOperator

    java.lang.Object
      org.pentaho.reporting.libraries.formula.operators.MinusSignOperator

All Implemented Interfaces:
  java.io.Serializable, PrefixOperator

    public class MinusSignOperator

extends java.lang.Object
implements PrefixOperator

Creation-Date: 02.11.2006, 10:27:03

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`MinusSignOperator()`

Method Summary
`TypeValuePair` `evaluate(FormulaContext context, TypeValuePair value1)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MinusSignOperator

    public MinusSignOperator()

Method Detail

### evaluate

    public TypeValuePair evaluate(FormulaContext context,
                                  TypeValuePair value1)
                           throws EvaluationException

  Specified by:
    `evaluate` in interface `PrefixOperator`
  Throws:
    `EvaluationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`